Subject: [PATCH] build: update gnulib, include crc-x86_64 module

From: Sam Russell <[email-masked]>
Date: Tue, 17 Dec 2024 09:48:04 +0100

Hi,

This patch updates gnulib to take the new crc-x86_64 module and enables the
module in bootstrap.conf.

Tested on local AMD64 that the change gives a performance improvement, and
smoketest on cfarm424 that project builds and runs without regression on
non-x86_64 systems.

Cheers
Sam